petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscFEPushforward

Map the reference element function to real space

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEPushforward(PetscFE fe, PetscFEGeom *fegeom, PetscInt Nv, PetscScalar vals[])

### Input Parameters

| fe | - The PetscFE
| fegeom | - The cell geometry
| Nv | - The number of function values
| vals | - The function values

### Output Parameter

vals -The transformed function values

Note: This just forwards the call onto PetscDualSpacePushforward().

Note: This only handles tranformations when the embedding dimension of the geometry in fegeom is the same as the reference dimension.

### See Also

PetscDualSpacePushforward()

### Level

advanced

### Location

src/dm/dt/fe/interface/fe.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages